searchData={"items":[{"type":"module","title":"Benchee.Formatters.Markdown","doc":"Functionality for converting Benchee benchmarking results to an HTML page.","ref":"Benchee.Formatters.Markdown.html"},{"type":"module","title":"Examples - Benchee.Formatters.Markdown","doc":"list = Enum.to_list(1..10_000)\n\n    map_fun = fn(i) -> [i, i * i] end\n\n    Benchee.run(\n      %{\n        \"flat_map\" => fn -> Enum.flat_map(list, map_fun) end,\n        \"map.flatten\" => fn -> list |> Enum.map(map_fun) |> List.flatten() end\n      },\n      formatters: [\n        Benchee.Formatters.Console,\n        {Benchee.Formatters.Markdown, file: \"samples_output/flat_map.html\"}\n      ]\n    )","ref":"Benchee.Formatters.Markdown.html#module-examples"},{"type":"function","title":"Benchee.Formatters.Markdown.format/2","doc":"Formats the output of benchee to markdown page.","ref":"Benchee.Formatters.Markdown.html#format/2"},{"type":"function","title":"Benchee.Formatters.Markdown.render/2","doc":"Renders a given `%Benchee.Suite{}` as makrdown.","ref":"Benchee.Formatters.Markdown.html#render/2"},{"type":"function","title":"Benchee.Formatters.Markdown.write/2","doc":"Uses the return value of `Benchee.Formatters.Markdown.format/2` to write it\nto the file defined in the initial configuration.","ref":"Benchee.Formatters.Markdown.html#write/2"},{"type":"extras","title":"BencheeMarkdown","doc":"# BencheeMarkdown\n\n[![Hex.pm: version](https://img.shields.io/hexpm/v/benchee_markdown.svg?style=flat-square)](https://hex.pm/packages/benchee_markdown)\n[![GitHub: CI status](https://img.shields.io/github/actions/workflow/status/hrzndhrn/benchee_markdown/ci.yml?branch=master&style=flat-square)](https://github.com/hrzndhrn/benchee_markdown/actions)\n[![Coveralls: coverage](https://img.shields.io/coveralls/github/hrzndhrn/benchee_markdown?style=flat-square)](https://coveralls.io/github/hrzndhrn/benchee_markdown)\n[![License: MIT](https://img.shields.io/badge/License-MIT-yellow.svg?style=flat-square)](https://github.com/hrzndhrn/benchee_markdown/blob/main/LICENSE.md)\n\n[Benchee](https://github.com/bencheeorg/benchee) formatter to output markdown. A very early beta version.","ref":"readme.html"},{"type":"extras","title":"Installation - BencheeMarkdown","doc":"Add `benchee_markdown` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [{:benchee_markdown, \"~> 0.3\", only: :dev}]\nend\n```\n\nAfterwards, run `mix deps.get` to install it.","ref":"readme.html#installation"},{"type":"extras","title":"Usage - BencheeMarkdown","doc":"Simply configure `Benchee.Formatters.Markdown` as one of the formatters for\n`Benchee.run/2` along with the file path you want the output to go.\n\n```elixir\nlist = Enum.to_list(1..10_000)\nmap_fun = fn i -> [i, i * i] end\n\nBenchee.run(\n  %{\n    \"flat_map\" => fn -> Enum.flat_map(list, map_fun) end,\n    \"map.flatten\" => fn -> list |> Enum.map(map_fun) |> List.flatten() end\n  },\n  formatters: [\n    Benchee.Formatters.Console,\n    {Benchee.Formatters.Markdown,\n      file: \"my.md\",\n      description: \"\"\"\n      This benchmark compares `foobar` with the libs `foo` and `bar`.\n      \"\"\"\n    }\n  ]\n```\n\nThe sample defines both the standard console formatter and the markdown\nformatter, if you don't care about the console output you can just delete that\nline.\n\nThe `:description` is optional. Without a `:description` the text \"Benchmark run\nfrom 2020-03-24 14:03:11.471713Z UTC\" with the actual data time will be\ninserted.","ref":"readme.html#usage"},{"type":"extras","title":"Examples - BencheeMarkdown","doc":"Examples can been seen at\n- [examples/bench/basic](https://github.com/hrzndhrn/benchee_markdown/tree/master/examples/bench/basic).\n- [examples/bench/description](https://github.com/hrzndhrn/benchee_markdown/tree/master/examples/bench/description).\n- [examples/bench/template](https://github.com/hrzndhrn/benchee_markdown/tree/master/examples/bench/template).\n\nExamples can be run under `examples` with\n- `mix bench.basic`\n- `mix bench.description`\n- `mix bench.template`","ref":"readme.html#examples"}],"content_type":"text/markdown"}